Subject: Re: emacs -Q doesn't fit on the user's screen

From: Jan Djärv <[email-masked]>
Date: Mon, 25 Jan 2010 08:52:15 +0100

Jan Djärv skrev:
> [email-masked] skrev:
>>>>>>> "JD" == Jan Djärv <[email-masked]> writes:
>> JD> That last part may be it though.  As the title bar size isn't 
>> known at
>> JD> frame create time, we can't adjust for it.  I'll have to think about
>> JD> that.
>> All I know is firefox etc. never was bigger than xwindows.
>> JD> A better strategy might be if 40 lines doesn't seem to fit, just 
>> try 20.
>> JD> If that doesn't seem to fit, try 10.
>> Well if it can detect that it can't fit then maybe it can detect how big
>> it should be.
> 
> Actually, it can only detect when it is way too big.  In the case when 
> it almost fits, i.e. off by one line or so, it must guess.
> 

I made some changes.  If 40 doesn't fit we try 24.  If that doesn't fit we 
just use 10.  Of course, very big window manager decorations or window manager 
placement/size algorithms may still make Emacs too big.

	Jan D.